ServiceUtils
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.util
Class ServiceUtils

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.util.ServiceUtils

    public class ServiceUtils

extends java.lang.Object

Constructor Summary
`ServiceUtils()`

Method Summary
`static void` | `deleteFile(java.lang.String path)`
`static java.lang.String` | `fileToString(java.lang.String path)`
`static java.lang.String` | `generateId(java.lang.String prefix, java.lang.String suffix)`
`static java.lang.String` | `getDate()`
`static java.lang.String` | `getTimeStamp()`
`static java.lang.String` | `URLtoString(java.lang.String path)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceUtils

    public ServiceUtils()

Method Detail

### fileToString

    public static java.lang.String fileToString(java.lang.String path)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### URLtoString

    public static java.lang.String URLtoString(java.lang.String path)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### deleteFile

    public static void deleteFile(java.lang.String path)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateId

    public static java.lang.String generateId(java.lang.String prefix,
                                              java.lang.String suffix)

### getTimeStamp

    public static java.lang.String getTimeStamp()

### getDate

    public static java.lang.String getDate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD